idris-1.3.4: Functional Programming Language with Dependent Types

License | BSD3
Maintainer | The Idris Community.
Safe Haskell | Safe-Inferred
Language | Haskell2010

Idris.Providers

Description

Synopsis

- providerTy :: FC -> PTerm -> PTerm
- getProvided :: FC -> TT Name -> Idris (Provided (TT Name))
- data Provided a = Provide a

# Documentation

providerTy :: FC -> PTerm -> PTerm #

Wrap a type provider in the type of type providers

getProvided :: FC -> TT Name -> Idris (Provided (TT Name)) #

Handle an error, if the type provider returned an error. Otherwise return the provided term.

data Provided a #

Constructors

Provide a |

#### Instances

Instances details

Functor Provided # |
Instance details Defined in Idris.Providers Methods fmap :: (a -> b) -> Provided a -> Provided b # (<$) :: a -> Provided b -> Provided a #
Show a => Show (Provided a) # |
Instance details Defined in Idris.Providers Methods showsPrec :: Int -> Provided a -> ShowS show :: Provided a -> String showList :: [Provided a] -> ShowS
Eq a => Eq (Provided a) # |
Instance details Defined in Idris.Providers Methods (==) :: Provided a -> Provided a -> Bool (/=) :: Provided a -> Provided a -> Bool